﻿#language: ru

@IIoT

Функционал: 05_IIoT.02.007 Получение данных с датчиков в АРМе мастера смены

Сценарий: 05_IIoT.02.007 Получение данных для выпуска с датчиков в АРМе мастера смены без параметров т/п с редактированием количества
	Дано Я подключаюсь под "Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены:  '
	И я перехожу к закладке "Настройки смены"
	И я нажимаю кнопку выбора у поля "Дата смены"
	Тогда открылось окно 'Рабочее место мастера смены: *'
	И в поле 'Дата смены' я ввожу текущую дату
	И я перехожу к закладке "Настройки смены"
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно 'Смены'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смена24'      |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я нажимаю кнопку выбора у поля "ОтборВидРабочегоЦентра"
	Тогда открылось окно 'Виды рабочих центров'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'ПАЦ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку:
		| 'Вид РЦ / РЦ' |
		| 'ПАЦ'         |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ' | 'Статус'     |
		| 'ПАЦ'         | 'Не закрыта' |
	И я перехожу к закладке "Остатки"
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Склад / Номенклатура / Серия / Тара' |
		| 'Танк №1'                             |
	И я нажимаю на кнопку 'Указать выпуск'
	Тогда открылось окно 'Выпуск на Танк №1'
	И я нажимаю кнопку выбора у поля "Продукция"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сливки'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Выпуск на Танк №1'
	И из выпадающего списка "Вариант списания" я выбираю точное значение 'Не распределять'
	И я устанавливаю флаг 'Использовать датчик количества'
	И я нажимаю кнопку выбора у поля с именем "АналитикаДанныхИнтернетВещей"
	Когда открылось окно 'Ключи аналитики данных'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'           |
		| 'Расходомер танк сливок' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Выпуск на Танк №1'
	И я нажимаю на кнопку 'Получить значение'
	И элемент формы с именем "Количество" стал равен '300,000'
	И я нажимаю на кнопку 'КомандаРедактированиеКоличестваИнтернетВещей'
	Тогда открылось окно 'Корректировка  значения датчика'
	И в поле 'Значение новое' я ввожу текст '298,5'
	И в поле 'Причина корректировки' я ввожу текст 'попала вода'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Выпуск на Танк №1'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И Я закрываю окно 'Рабочее место мастера смены: * Смена24'

Сценарий: 05_IIoT.02.007. Проверка созданного документа выпуска 1
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Вид операции' | 'Комментарий' | 'Ответственный'  | 'Рабочий центр' | 'Смена'   | 'Способ создания'                     | 'Статус'    |
		| 'Переработка'  | 'попала вода' | 'Мастер сырцеха' | 'ПАЦ'           | 'Смена24' | 'Закрытие смены получение с датчиков' | 'Выполнено' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка * от *'
	И элемент формы с именем "СкладВыпуск" стал равен 'Танк №1'
	И таблица "Выпуск" стала равной по шаблону:
		| 'Спецификация' | 'Ед. изм. 2' | 'N' | 'Количество' | 'Этап' | 'Тара' | 'Номенклатура' | 'Количество 1' | 'Характеристика'    | 'Серия'  | 'Количество 2' | 'Ед. изм.' | 'Ед. изм. 1' | 'Задание' | 'Дата выпуска' | 'Дата маркировки' |
		| ''             | ''           | '1' | '298,500'    | ''     | ''     | 'Сливки'       | ''             | '<не используются>' | '*'      | ''             | 'кг'       | ''           | ''        | ''             | ''                |
	Тогда в таблице "РаспределениеМатериалов" количество строк "равно" 0
	И Я закрываю окно 'Переработка * от *'
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'

Сценарий: 05_IIoT.02.007 Получение данных для выпуска с пересчетом в кг с датчиков в АРМе мастера смены с параметрами т/п
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я нажимаю на кнопку 'КомандаОбновитьДеревоРабочиеЦентры'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку:
		| 'Вид РЦ / РЦ' |
		| 'ПАЦ'         |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ' | 'Статус'     |
		| 'ПАЦ'         | 'Не закрыта' |
	И я перехожу к закладке "Остатки"
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Склад / Номенклатура / Серия / Тара' |
		| 'Танк №2'                             |
	И я нажимаю на кнопку с именем 'КомандаУказатьВыпускОстаткиВсе'
	Тогда открылось окно 'Выпуск на Танк №2'
	И я нажимаю кнопку выбора у поля "Продукция"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смесь 50%'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Выпуск на Танк №2'
	И из выпадающего списка "Вариант списания" я выбираю точное значение 'Не распределять'
	И я устанавливаю флаг 'Заполнять показатели т/п'
	И я устанавливаю флаг 'Использовать датчик количества'
	И я нажимаю кнопку выбора у поля с именем "АналитикаДанныхИнтернетВещей"
	Тогда открылось окно 'Ключи аналитики данных'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'           |
		| 'Расходомер танк обрата' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Выпуск на Танк №2'
	И я нажимаю на кнопку 'Получить значение'
	И элемент формы с именем "Количество" стал равен '6 500,000'
	И я перехожу к закладке "Показатели т/п"
	И я нажимаю кнопку выбора у поля "Вид анализа т/п"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Выпуск на Танк №2'
	И я устанавливаю флаг 'Использовать датчики т/п'
	И таблица "ПоказателиТехПроцесса" содержит строки:
		| 'Показатель'         | 'Датчик'               | 'Значение' | 'Дата выполнения' |
		| 'Время варки'        | 'Время сепарации'      | ''         | ''                |
		| 'Время ферментации'  | 'Показатель сепарации' | ''         | ''                |
	И я нажимаю на кнопку 'Получить показатели т/п'
	И таблица "ПоказателиТехПроцесса" содержит строки:
		| 'Показатель'         | 'Датчик'               | 'Значение' |
		| 'Время варки'        | 'Время сепарации'      | ''         |
		| 'Время ферментации'  | 'Показатель сепарации' | '16,000'   |
	Когда открылось окно 'Выпуск на Танк №2'
	И в таблице "ПоказателиТехПроцесса" я перехожу к строке:
		| 'Датчик'          | 'Показатель'  |
		| 'Время сепарации' | 'Время варки' |
	И в таблице "ПоказателиТехПроцесса" я нажимаю на кнопку 'Команда редактирование показателей тех процесса интернет вещей'
	Тогда открылось окно 'Корректировка  значения датчика'
	И в поле 'Значение новое' я ввожу текст '12'
	И в поле 'Причина корректировки' я ввожу текст 'не сработал датчик'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Выпуск на Танк №2'
	И в таблице "ПоказателиТехПроцесса" я перехожу к строке:
		| 'Датчик'          | 'Значение' | 'Показатель'  |
		| 'Время сепарации' | '12,000'   | 'Время варки' |
	И в таблице 'ПоказателиТехПроцесса' я удаляю строку
	И я нажимаю на кнопку 'ОК'
	И Я закрываю окно 'Рабочее место мастера смены: * Смена24'

Сценарий: 05_IIoT.02.007. Проверка созданного документа выпуска 2 и изменение документа анализов
	И В командном интерфейсе я выбираю 'Производство' 'Переработки'
	Тогда открылось окно 'Переработки'
	И в таблице "Список" я перехожу к строке:
		| 'Вид операции' | 'Комментарий' | 'Ответственный'  | 'Рабочий центр' | 'Смена'   | 'Способ создания'                     | 'Статус'    |
		| 'Переработка'  | ''            | 'Мастер сырцеха' | 'ПАЦ'           | 'Смена24' | 'Закрытие смены получение с датчиков' | 'Выполнено' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Переработка * от *'	
	И элемент формы с именем "СкладВыпуск" стал равен 'Танк №2'
	И таблица "Выпуск" стала равной по шаблону:
		| 'Спецификация' | 'Ед. изм. 2' | 'N' | 'Количество' | 'Этап' | 'Тара' | 'Номенклатура' | 'Количество 1' | 'Характеристика'    | 'Количество 2' | 'Ед. изм.' | 'Ед. изм. 1' | 'Задание' | 'Дата выпуска' | 'Дата маркировки' |
		| ''             | ''           | '1' | '6 500,000'  | ''     | ''     | 'Смесь 50%'    | ''             | '<не используются>' | ''             | 'кг'       | ''           | ''        | ''             | ''                |
	И Я закрываю окно 'Переработка * от *'
	Тогда открылось окно 'Переработки'
	И Я закрываю окно 'Переработки'
	И В командном интерфейсе я выбираю 'Производство' 'Анализы номенклатуры'
	Тогда открылось окно 'Анализы номенклатуры'
	И в таблице "Список" я перехожу к первой строке
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Анализы номенклатуры * от *'
	И элемент формы с именем "ВидАнализа" стал равен 'Показатели сепарации'
	И элемент формы с именем "Номенклатура" стал равен 'Смесь 50%'
	И элемент формы с именем "Характеристика" стал равен ''
	И таблица "РезультатыАнализов" содержит строки:
		| 'Показатель'         | 'Значение показателя' | 'Соответствует нормативу' | 'Вид результата анализа'    |
		| 'Время варки'        | ''                    | 'Нет'                     | 'Число дробное в диапазоне' |
		| 'Время ферментации'  | '16,000'              | 'Да'                      | 'Число дробное в диапазоне' |
	И элемент формы с именем "Комментарий" стал равен 'не сработал датчик'
	И я перехожу к закладке "Результаты анализов"
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Вид результата анализа'    | 'Значение показателя' | 'Показатель'        | 'Соответствует нормативу' |
		| 'Число дробное в диапазоне' | '16,000'              | 'Время ферментации' | 'Да'                      |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '17,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Анализы номенклатуры * от * *' в течение 20 секунд
	Тогда открылось окно 'Анализы номенклатуры'
	И Я закрываю окно 'Анализы номенклатуры'

Сценарий: 05_IIoT.02.007 Получение данных для перемещения с датчиков в АРМе мастера смены без редактирования количества
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место мастера смены'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И я нажимаю на кнопку 'КомандаОбновитьДеревоРабочиеЦентры'
	И в таблице "ДеревоРабочиеЦентры" я разворачиваю строку:
		| 'Вид РЦ / РЦ' |
		| 'ПАЦ'         |
	И в таблице "ДеревоРабочиеЦентры" я перехожу к строке:
		| 'Вид РЦ / РЦ' | 'Статус'     |
		| 'ПАЦ'         | 'Не закрыта' |
	И я перехожу к закладке "Остатки"
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Склад / Номенклатура / Серия / Тара' |
		| 'ПАЦ'                                 |
	И в таблице "ДеревоОстаткиВсе" я перехожу к строке:
		| 'Количество конечный остаток' | 'Количество приход' | 'Склад / Номенклатура / Серия / Тара' |
		| '6 500,000'                   | '6 500,000'         | 'Танк №2'                             |
	И в таблице "ДеревоОстаткиВсе" я активизирую поле с именем "ДеревоОстаткиВсеНоменклатураЕдиницаИзмерения"
	И я нажимаю на кнопку с именем 'КомандаПереместитьОстаткиВсе'
	Тогда открылось окно 'Переместить Смесь 50% / * до * с Танк №2'
	И я нажимаю кнопку выбора у поля "Получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'ПАЦ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переместить Смесь 50% / * до * с Танк №2'
	И я устанавливаю флаг 'Использовать датчик количества'
	И я нажимаю кнопку выбора у поля "Датчик"
	Тогда открылось окно 'Ключи аналитики данных'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      |
		| 'Вход в танк смеси' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Переместить Смесь 50% / * до * с Танк №2'
	И я нажимаю на кнопку 'Получить значение'
	И элемент формы с именем "Количество" стал равен '25,000'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Рабочее место мастера смены: * Смена24'
	И Я закрываю окно 'Рабочее место мастера смены: * Смена24'

Сценарий: 05_IIoT.02.007. Проверка созданного документа перемещения 1
	И В командном интерфейсе я выбираю 'Производство' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Ответственный'  | 'Склад отправитель' | 'Склад получатель' | 'Способ создания'                     | 'Статус'    |
		| 'Мастер сырцеха' | 'Танк №2'           | 'ПАЦ'              | 'Закрытие смены получение с датчиков' | 'Выполнено' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжение на перемещение * от *'	
	Тогда элемент формы с именем "Статус" стал равен 'Выполнено'
	И элемент формы с именем "СкладОтправитель" стал равен 'Танк №2'
	И элемент формы с именем "СкладПолучатель" стал равен 'ПАЦ'
	И элемент формы с именем "ТипПеремещения" стал равен 'Перемещение'
	И элемент формы с именем "Основание" стал равен ''
	Тогда в таблице "ТоварыПлан" количество строк "равно" 0
	И элемент формы с именем "СписокТары" стал равен ''
	И таблица "Товары" стала равной по шаблону:
		| 'N' | 'Количество' | 'Тара' | 'Ед.' | 'Номенклатура' | 'Количество 1' | 'Характеристика'    | 'В ед. хранения' | 'Количество 2' | 'Упаковочный лист' |
		| '1' | '25,000'     | ''     | 'кг'  | 'Смесь 50%'    | ''             | '<не используются>' | '25,000, кг'     | ''             | ''                 |
	И элемент формы с именем "СпособСоздания" стал равен 'Закрытие смены получение с датчиков'
	И элемент формы с именем "Ответственный" стал равен 'Мастер сырцеха'
	И элемент формы с именем "Комментарий" стал равен ''
	И Я закрываю окно 'Распоряжение на перемещение * от *'
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 05_IIoT.02.007 Получение данных для перемещения с датчиков в АРМе мастера смены с пересчетом в кг и редактированием количества

Сценарий: 05_IIoT.02.007. Проверка созданного документа перемещения 2

Сценарий: 05_IIoT.02.007 Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT